VMOffers (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.workflow

## Class VMOffers

- java.lang.Object
- - org.cloudbus.cloudsim.workflow.VMOffers

- Direct Known Subclasses:
    VmOffersSimple

      public abstract class VMOffers
      extends Object

  This abstract contains encapsulates VM options offered by IaaS providers. Its methods return instance types offered, cost of different instances and the leasing time slot.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VMOffers()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract long` | `getBootTime()` Returns the average boot time of a VM in seconds.
    `abstract int` | `getCost(double mips, int memory, long bw)` Returns the cost of a specific instance, per time slot, in cents.
    `abstract long` | `getTimeSlot()` Returns the duration of the lease time slot in seconds.
    `abstract Hashtable<Vm,Integer>` | `getVmOffers()` Returns the instances offered by the provider, and the respective prices per time slot (in cents).
    `abstract double` | `valuePerf(int index)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VMOffers

          public VMOffers()

  - ### Method Detail

    - #### getVmOffers

          public abstract Hashtable<Vm,Integer> getVmOffers()

      Returns the instances offered by the provider, and the respective prices per time slot (in cents).

    - #### getCost

          public abstract int getCost(double mips,
                    int memory,
                    long bw)

      Returns the cost of a specific instance, per time slot, in cents.

    - #### getTimeSlot

          public abstract long getTimeSlot()

      Returns the duration of the lease time slot in seconds.

    - #### valuePerf

          public abstract double valuePerf(int index)

    - #### getBootTime

          public abstract long getBootTime()

      Returns the average boot time of a VM in seconds.

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.